How to get Minidump Browser

Navigation: »No topics above this level«

How to get Minidump Browser

 Return to chapter overview

Minidump Browser is free for commercial use. Minidump Browser can be downloaded for Software Verify's website at https://www.softwareverify.com/product/minidump-browser/.

This help manual is available in Compiled HTML Help (Windows Help files), PDF, and online.

Windows Help | https://www.softwareverify.com/documentation/chm/miniDumpBrowser.chm
PDF | https://www.softwareverify.com/documentation/pdfs/miniDumpBrowser.pdf
Online | https://www.softwareverify.com/documentation/html/miniDumpBrowser/index.html

Whilst Minidump Browser is free for commercial use, Minidump Browser is copyrighted software and is not in the public domain.

You are free to use the software at your own risk.

You are not allowed to distribute the software in any form, or to sell the software, or to host the software on a website.

Contact

Contact Software Verify at:

Software Verify Limited

Suffolk Business Park

Eldo House

Kempson Way

Bury Saint Edmunds

IP32 7AR

United Kingdom

email | sales@softwareverify.com
web | https://www.softwareverify.com
blog | https://www.softwareverify.com/blog
twitter | http://twitter.com/softwareverify

Visit our blog to read our articles on debugging techniques and tools.

Follow us on twitter to keep track of the latest software tools and updates.


What does Minidump Browser do?

Navigation: »No topics above this level«

What does Minidump Browser do?

 Return to chapter overview

Minidump Browser allows you to view kernel dumps and minidumps on your machine, or your network.

32 bit and 64 bit

32 bit and 64 bit kernel dumps are supported.

32 bit and 64 bit minidumps are supported.


Menu

Navigation: »No topics above this level«

Menu

 Return to chapter overview

The main menu contains three menus, File, Software Updates and Help.


File

Navigation: Menu >

File

 Return to chapter overview

The Tools menu controls the scanning and display of minidumps.

File menu instructionStep Load minidump... instructionStep loads a kernel dump or a minidump and displays it.

If the kernel dump or minidump is the wrong bit depth (32 bit when running 64 bit, or vice versa) then the other version of Minidump browser is started to display the minidump.

If any errors occur when trying to load the minidump, the load fails. This means that mindumps from ARM, IA64 and other architectures can't be displayed.

File menu instructionStep Load minidump ignoring failures... instructionStep loads a minidump and displays it.

If the minidump is the wrong bit depth (32 bit when running 64 bit, or vice versa) then the other version of Minidump browser is started to display the minidump.

If any errors occur when trying to load the minidump, the load fails to load just the failing part of the minidump and continues with other parts of the minidump.

This means that mindumps from ARM, IA64 and other architectures can be displayed, but may have incomplete information.

File menu instructionStep Export as text instructionStep displays the Export as Text dialog.

File menu instructionStep Export as HTML instructionStep displays the Export as HTML dialog.

File menu instructionStep Close instructionStep closes the Minidump.

File menu instructionStep Exit instructionStep closes Minidump Browser.


Settings

Navigation: Menu >

Settings

 Return to chapter overview

The Settings menu allows you to edit the settings.

Settings menu instructionStep Edit Settings... instructionStep edit the settings using the Settings dialog.


Inspect

Navigation: Menu >

Inspect

 Return to chapter overview

The Inspect menu allows you to view arbitrary memory, or to search for memory.

Inspect menu instructionStep Search memory... instructionStep search for a text string or a sequence of bytes. The Search Memory Dialog is displayed.


Tools

Navigation: Menu >

Tools

 Return to chapter overview

The File menu allows you to launch tools to read particular types of debugging information.

This is useful for decoding addresses if MiniDump Browser has been unable to successfully generate symbols for addresses in the minidump (or kernel dump)

File menu instructionStep DbgHelp Browser... instructionStep starts DbgHelp Browser.

File menu instructionStep DWARF Browser... instructionStep starts DWARF Browser.

File menu instructionStep TDS Browser... instructionStep starts TDS Browser.

File menu instructionStep MAP File Browser... instructionStep starts MAP File Browser.


Software Updates

Navigation: Menu >

Software Updates

 Return to chapter overview

The Software Updates menu controls how often software updates are downloaded.

If you've been notified of a new software release to Minidump Browser or just want to see if there's a new version, this feature makes it easy to update.

menu Software Updates menu instructionStep Check for software updates instructionStep checks for updates and shows the software update dialog if any exist

An internet connection is needed to be able to make contact with our servers.

note Before updating the software, close the help manual, and end any active session by closing target programs.

If no updates are available, you'll just see this message:

Software Update dialog

If a software update is available for Minidump Browser you'll see the software update dialog.

·Download and install instructionStep downloads the update, showing progress

Once the update has downloaded, Minidump Browser will close, run the installer, and restart.

You can stop the download at any time, if necessary.

·Don't download... instructionStep Doesn't download, but you'll be prompted for it again next time you start Minidump Browser

·Skip this version... instructionStep Doesn't download the update and doesn't bother you again until there's an even newer update

·Software update options... instructionStep edit the software update schedule

Problems downloading or installing?

If for whatever reason, automatic download and installation fails to complete:

·Download the latest installer manually from the software verify website.

Make some checks for possible scenarios where files may be locked by Minidump Browser as follows:

·Ensure Minidump Browser and its help manual is also closed

·Ensure any error dialogs from the previous installation are closed

You should now be ready to run the new version.

Software update schedule

Minidump Browser can automatically check to see if a new version of Minidump Browser is available for downloading.

menu Software Updates menu instructionStep Configure software updates instructionStep shows the software update schedule dialog

The update options are:

·never check for updates

·check daily (the default)

·check weekly

·check monthly

The most recent check for updates is shown at the bottom.

Software update directory

It’s important to be able to specify where software updates are downloaded to because of potential security risks that may arise from allowing the TMP directory to be executable. For example, to counteract security threats it's possible that account ownership permissions or antivirus software blocks program execution directly from the TMP directory.

The TMP directory is the default location but if for whatever reason you're not comfortable with that, you can specify your preferred download directory. This allows you to set permissions for TMP to deny execute privileges if you wish.

menu Software Updates menu instructionStep Set software update directory instructionStep shows the Software update download directory dialog

An invalid directory will show the path in red and will not be accepted until a valid folder is entered.

Example reasons for invalid directories include:

·the directory doesn't exist

·the directory doesn't have write privilege (update can't be downloaded)

·the directory doesn't have execute privilege (downloaded update can't be run)

note When modifying the download directory, you should ensure the directory will continue to be valid. Updates may no longer occur if the download location is later invalidated.

·Reset instructionStep reverts the download location to the user's TMP directory

The default location is c:\users\[username]\AppData\Local\Temp


Help

Navigation: Menu >

Help

 Return to chapter overview

The Help menu controls displaying this help document and displaying information about Minidump Browser.

Help menu instructionStep About Minidump Browser... instructionStep displays information about Minidump Browser.

Help menu instructionStep Readme and Version History... instructionStep displays the readme and version history.

Help menu instructionStep Help Topics... instructionStep displays this help file.

Help menu instructionStep Help PDF... instructionStep displays this help file in PDF format.

Help menu instructionStep Help on softwareverify.com... instructionStep display the Software Verify documentation web page where you can view online documentation or download compiled HTML Help and PDF help documents.

Help menu instructionStep Blog... instructionStep display the Software Verify blog.

Help menu instructionStep Library... instructionStep display the Software Verify library - our best blog articles grouped by related topics.

Help menu instructionStep Contact customer support... instructionStep displays the options for contacting customer support.

Click a link to contact customer support.

Help menu instructionStep How do I?... instructionStep displays the options for asking us how to do a particular task.


The user interface

Navigation: »No topics above this level«

The user interface

 Return to chapter overview

Enter topic text here.


Kernel dumps (Blue Screen of Death)

Navigation: The user interface >

Kernel dumps (Blue Screen of Death)

 Return to chapter overview

The Kernel Dump Browser user interface is shown below.

When a kernel dump contains an exception the exception display will be automatically selected as the first display to show you information.

Not all information in a kernel dump is valid. Information that isn't valid has the same value as the signature field: 0x45474150.

The display shows six pages of data about the kernel dump.

Each page is listed on the left hand side. Selecting that entry displays the page on the right hand side.


Header

Navigation: The user interface > Kernel dumps (Blue Screen of Death) > Header >

Header

 Return to chapter overview

The Header page displays general information about the kernel dump.


Bug Check

Navigation: The user interface > Kernel dumps (Blue Screen of Death) > Crash >

Bug Check

 Return to chapter overview

The Bug Check page displays exception information from the kernel dump.

For each BugCheck code we provide a link to the official Microsoft documentation for the BugCheck. Clicking the link will open the default web browser.

Where possible we decode addresses into human readable symbol information: module, function, filename and line number.


Exception

Navigation: The user interface > Kernel dumps (Blue Screen of Death) > Crash >

Exception

 Return to chapter overview

The Exception page displays exception information from the kernel dump.

The top view shows exception specific information.

The lower view shows the source code for the crash location (if filename and line number information is available), the exception callstack, and all the registers from the exception CONTEXT.

Expanding any callstack node will display source code for that location (if filename and line number information is available).


Modules

Navigation: The user interface > Kernel dumps (Blue Screen of Death) > Modules >

Modules

 Return to chapter overview

The Modules page displays the loaded modules in the kernel dump.

For each module in the kernel dump this page displays the following information, dll load address (image base), size, checksum, timestamp, file version, product version, application attributes and module name (with optional path).

Some of the information can only be obtained once the module has been downloaded from a symbol server (usually Microsoft's symbol server).


Unloaded Modules

Navigation: The user interface > Kernel dumps (Blue Screen of Death) > Modules >

Unloaded Modules

 Return to chapter overview

The Unloaded Modules page displays the unloaded modules in the kernel dump.

For each module in the kernel dump that has been unloaded this page displays the following information, dll load address (image base), size, checksum, timestamp, module name, flags and symbol type.


Attributes

Navigation: The user interface > Kernel dumps (Blue Screen of Death) > Data >

Attributes

 Return to chapter overview

The Attributes page displays the kernel dump attributes.


Other

Navigation: The user interface > Kernel dumps (Blue Screen of Death) > Data >

Other

 Return to chapter overview

The Header page displays general information about the kernel dump.


Pointers

Navigation: The user interface > Kernel dumps (Blue Screen of Death) > Memory >

Pointers

 Return to chapter overview

The Pointers page displays the pointers in the kernel dump.


Minidumps

Navigation: The user interface >

Minidumps

 Return to chapter overview

The Minidump Browser user interface is shown below.

When a minidump contains an exception the exception display will be automatically selected as the first display to show you information.

The display shows a summary page and then one page per logical group of data in the minidump. This means that some discrete sections in the minidump have been coalesced - for example ThreadListStream and ThreadExListStream are both represented in the Threads page. Each page is listed on the left hand side. Selecting that entry displays the page on the right hand side. The summary page lists each stream so that you can see which streams are present in the minidump and which are absent. Few minidumps (if any) contain all streams.


Summary

Navigation: The user interface > Minidumps > Summary >

Summary

 Return to chapter overview

The Summary page displays general information about the minidump, plus a list of all possible streams and data about streams that are present.

For each stream that is listed we indicate if the stream is present, the RVA (the offset from the start of the minidump) to the stream and the size of the stream.

If you want to see the complete command line (for the cases when it's too long to display) use the Copy button to copy the command line to the clipboard.

Command Line

To display the command line the minidump must contain Thread Info and memory data. The Thread Info is used to locate the Thread Environment Block, which is then used to locate the Process Environment Block, which is then used to read the command line.


Comments

Navigation: The user interface > Minidumps > Summary >

Comments

 Return to chapter overview

The Comments page displays the contents of the CommentStreamA and CommentStreamW minidump streams.


Exception

Navigation: The user interface > Minidumps > Crash >

Exception

 Return to chapter overview

The Exception page displays the contents of the ExceptionStream minidump stream.

A few extra fields are displayed to provide additional information: Exception Symbol, Exception Filename, Exception DLL.

The top view shows exception specific information.

The lower view shows the source code for the crash location (if filename and line number information is available), the exception callstack, and all the registers from the exception CONTEXT.

Expanding any callstack node will display source code for that location (if filename and line number information is available).

Copy Text

Copy Text copies the text from the grid to the clipboard.

Each column is separated with a comma. Each line is separated by "\r\n".

Copy Event Viewer

Copy Event Viewer copies the exception data to the clipboard in the same format as the Windows Event Viewer. You can paste this data into some of our other tools (Minidump Browser, MapFile Browser, TDS Browser).

An example of the data is shown below for an Access Violation at 0x0c18459c in devenv.exe.

<Event>
<System>
<Provider Name="Windows Error Reporting">
</System>
<EventData>
<Data></Data>
<Data></Data>
<Data>APPCRASH</Data>
<Data></Data>
<Data></Data>
<Data>C:\Program Files (x86)\Microsoft Visual Studio 10.0\Common7\IDE\devenv.exe</Data>
<Data></Data>
<Data></Data>
<Data></Data>
<Data></Data>
<Data></Data>
<Data>0xc0000005</Data>
<Data>0x0c18459c</Data>
<Data></Data>
<Data></Data>
<Data>STATUS_ACCESS_VIOLATION</Data>
<Data>OK</Data>
<Data></Data>
</EventData>
</Event>

Tools

If you have installed Minidump Browser, DWARF Browser, TDS Browser, MAP File Browser, the appropriate button to launch this tool will be enabled.

Launching the tool will attempt to load the appropriate PDB, DWARF, TDS, MAP data and then locate the symbol that matches the exception crash address.


Threads

Navigation: The user interface > Minidumps >

Threads

 Return to chapter overview

Enter topic text here.


Callstacks

Navigation: The user interface > Minidumps > Threads >

Callstacks

 Return to chapter overview

The Callstacks page displays the the callstack for each thread, combined with information synthesized from the other threads displays.

For each thread the following information is displayed: thread id, thread name, if the thread is suspended, it's priority class, it's priority level, and the thread affinity.

The stack size and thread starting address are displayed, plus a human readable symbol for that address if symbols are available.

Thread exit status and thread execution times are also displayed.

The thread callstack is displayed below the information for each thread.

Expanding any callstack node will display source code for that location (if filename and line number information is available).


Threads

Navigation: The user interface > Minidumps > Threads >

Threads

 Return to chapter overview

The Threads page displays the contents of the ThreadListStream and ThreadExListStream minidump streams.

For each thread the following information is displayed: thread id, thread name, if the thread is suspended, it's priority class, it's priority level, the thread environment block (TEB) address, the stack location and size and the flags used to create the thread context, plus a dump of some thread context members (processor registers etc).


Thread Info

Navigation: The user interface > Minidumps > Threads >

Thread Info

 Return to chapter overview

The Thread Info page displays the contents of the ThreadInfoListStream minidump stream.

For each thread the following information is displayed: thread id, thread name, dump flags, dump error status, thread exit status, thread creation time, exit time, kernel time, user time, thread start address and thread processor affinity.


Thread Names

Navigation: The user interface > Minidumps > Threads >

Thread Names

 Return to chapter overview

The Thread Names page displays the contents of the ThreadNamesStream minidump stream.

For each thread the thread id and thread name is listed. We use this information to provide thread names on appropriate other minidump displays.


Handles

Navigation: The user interface > Minidumps >

Handles

 Return to chapter overview

Enter topic text here.


Handles

Navigation: The user interface > Minidumps > Handles >

Handles

 Return to chapter overview

The Handles page displays the contents of the HandleDataStream minidump stream.

For each handle that is present in the dump the following information is displayed:

Handle

The handle value.

Type

The handle type.

Object

The name of the object referenced by the handle.

Attributes

The attributes of the handle.

Granted Access

Access rights to the handle.

Handle Count

Number of references to the handle.

Pointer Count

Object specific count.

Object Info

Extra information about the object.

Reserved0


Handle Operation

Navigation: The user interface > Minidumps > Handles >

Handle Operation

 Return to chapter overview

The Handle Operation page displays the contents of the HandleOperationListStream minidump stream.

Handle operation information relates to information collected by Application Verifier.

More information here: https://docs.microsoft.com/en-gb/windows/win32/api/minidumpapiset/ns-minidumpapiset-minidump_handle_operation_list


Memory

Navigation: The user interface > Minidumps >

Memory

 Return to chapter overview

Enter topic text here.


Memory

Navigation: The user interface > Minidumps > Memory >

Memory

 Return to chapter overview

The Memory page displays the contents of the MemoryListStream and the Memory64ListStream minidump streams.

The information presented here is a list of memory start addresses and the size of the memory at that address.

Context Menu

A context menu provides a single option:

Clicking View data... opens a memory inspection dialog, allowing you to view the memory as BYTEs, WORDs, DWORDs or QWORDs. For executable code a disassembly view is provided.


Memory Info

Navigation: The user interface > Minidumps > Memory >

Memory Info

 Return to chapter overview

The Memory Info page displays the contents of the MemoryInfoListStream minidump stream.

The information here allows you to inspect the memory protection status of areas of memory in the minidump.

If you'd like to view this information in graphical form you can also use VM Validator. VM Validator views memory data in live processes and minidumps.


VM Counters

Navigation: The user interface > Minidumps > Memory >

VM Counters

 Return to chapter overview

The VM Counters page displays the contents of the ProcessVmCountersStream minidump stream.

This page provides detailed information about the virtual memory counters of the system.


Modules

Navigation: The user interface > Minidumps >

Modules

 Return to chapter overview

Enter topic text here.


Modules

Navigation: The user interface > Minidumps > Modules >

Modules

 Return to chapter overview

The Modules page displays the contents of the ModuleListStream minidump stream.

For each module in the minidump this page displays the following information, dll load address (image base), size, checksum, timestamp, file version, product version, application attributes and module name (with optional path).

Some of the information can only be obtained once the module has been downloaded from a symbol server (usually Microsoft's symbol server).


Unloaded Modules

Navigation: The user interface > Minidumps > Modules >

Unloaded Modules

 Return to chapter overview

The Unloaded Modules page displays the contents of the UnloadedModuleListStream minidump stream.

For each module in the minidump that has been unloaded this page displays the following information, dll load address (image base), size, checksum, timestamp, module name (with optional path).


System

Navigation: The user interface > Minidumps >

System

 Return to chapter overview

Enter topic text here.


System Info

Navigation: The user interface > Minidumps > System >

System Info

 Return to chapter overview

The System Info page displays the contents of the SystemInfoStream minidump stream.

This page provides information about the computer hardware and the operating system you are using.


System Memory Info

Navigation: The user interface > Minidumps > System >

System Memory Info

 Return to chapter overview

The System Memory Info page displays the contents of the SystemMemoryInfoStream minidump stream.

This page provides detailed information about the memory state of the system.


Misc Info

Navigation: The user interface > Minidumps > System >

Misc Info

 Return to chapter overview

The Misc Info page displays the contents of the MiscInfoStream minidump stream.

This section provides miscellaneous information about the minidump application.


Tokens

Navigation: The user interface > Minidumps > System >

Tokens

 Return to chapter overview

The Tokens page displays the contents of the TokenStream minidump stream.


Search Memory Dialog

Navigation: The user interface >

Search Memory Dialog

 Return to chapter overview

The Search Memory dialog is shown below.

You can search for text strings or you can search for byte sequences.

Search for a text string instructionStep type the string you wish to search for into the text box

Match case instructionStep select the check box if the string match should be case sensitive

Unicode instructionStep select the check box if the string match should be Unicode. If the check box is not selected the string match is ANSI

Search for bytes instructionStep type the bytes you wish to search for into the text box. A byte should be specified as a two digit hex value. Separate bytes with spaces

Search instructionStep perform the search. The progress of the search is shown on the progress bar, any matching search results are shown in the list.

Clear instructionStep clear the search results

A context menu on the search results provides a single option:

Clicking View data... opens a memory inspection dialog, allowing you to view the search results memory as BYTEs, WORDs, DWORDs or QWORDs.


Settings dialog

Navigation: »No topics above this level«

Settings dialog

 Return to chapter overview

The Settings dialog allows you to edit all the settings that affect the operation of Minidump Browser.


Symbol Download Strategy

Navigation: Settings dialog >

Symbol Download Strategy

 Return to chapter overview

The Symbol Download Strategy settings when DLLs are downloaded from symbol servers and when symbols are downloaded from symbol servers.

Downloading DLLs

Three options are provided for downloading DLLs.

·Do not download DLLs instructionStep DLLs will only be sourced from the computer

·Download all DLLs when a minidump is loaded instructionStep the slowest, but most complete option

·Download DLLs only when they are required to download symbols instructionStep minimum amount of time spent downloading DLLs from symbol servers

Downloading PDBs

Three options are provided for downloading PDBs.

·Do not download PDBs instructionStep symbols will only be sourced from the computer

·Download all PDBs when the DLL has downloaded instructionStep the slowest, but most complete option

·Download PDBs only when they are required to resolve a symbol instructionStep minimum amount of time spent downloading from symbol servers

Reset - Resets all global settings, not just those on the current page. This includes removing any symbol servers added.


Symbol Servers

Navigation: Settings dialog >

Symbol Servers

 Return to chapter overview

Show/Hide Hidden Text

The Symbol Server settings allow you to specify what symbol servers to use.

note You do not need to specify a symbol server if you do not wish to. MiniDump Browser will work correctly without a symbol server.

Symbol server

The symbol server is entirely optional, but is useful for obtaining symbols from a centralized company resource or for obtaining operating symbols from Microsoft.

The default symbol server is the Microsoft symbol server used for acquiring symbols about Microsoft's operating system DLLs. You may also wish to add some symbol servers for any software builds in your organisation.

A symbol server is defined by at least the following:

·the symbol server dll to be used to handle the symbol server interaction

·a directory location where symbol definitions are saved

·the server location - a url

The symbol server can be enabled or disabled allowing you to keep multiple symbol server configurations available without constantly editing their definitions.

Symbol Server Errors

Any symbol server entry shown in red indicates there is a problem with parts of the definition of that symbol server.

In the image shown above the symbol server at http://127.0.0.42:8000 cannot be reached. It is either offline or does not exist.

Managing symbol servers

·Add... instructionStep displays the symbol server dialog described below

·Remove instructionStep remove selected symbol server(s) in the list

·Remove All instructionStep remove all symbol servers

·Enable All instructionStep enables all symbol servers in the list

·Disable All instructionStep disables all symbol servers

You can also enable or disable an item in the list via the yellow check box at the left of each row.

To edit the details for a symbol server, just double click the entry in the list to show the symbol server dialog again.

Symbol server dialog

The dialog initially appears pre-populated with some default values and allows you to set up or edit the definition of a symbol server. Some of the default values can be changed.

·Enable Symbol Server instructionStep enable or disable this server

The following three entries must be set to enable the OK button and define the symbol server.

doc-collapse-icon OK button not enabled? The OK button will only be enabled when the following entries have a valid value:

- Symbol Server DLL names a dll present in the Memory Validator install directory.
- Symbol Store Directory has been specified and exists.
- Symbol Server URL has been specified (this value will not be checked for correctness).

·Symbol Server instructionStep select a predefined public symbol server or enter the URL of the symbol server you wish to use - the Microsoft server is initially set as the default

·Symbol Store Directory instructionStep enter or Browse to set the directory that will contain local copies of the downloaded symbols

The Symbol Server DLL is set automatically.

Reset - Resets all global settings, not just those on the current page. This includes removing any symbol servers added.


Symbol Paths

Navigation: Settings dialog >

Symbol Paths

 Return to chapter overview

The Symbols settings allow you to specify where Minidump Browser looks for symbols.

Manually adding path type directories

The Path list shows all the paths that will be searched for debug information in PDB files.

You can modify the list of files for each path type in the following ways:

·Add instructionStep appends a row to the directory list instructionStep enter the directory path

Edit a directory path by double clicking the entry. The usual controls apply for removing list items:

·Remove instructionStep removes selected items from the list

·Remove All instructionStep clears the list

·Set Default instructionStep adds all valid directories found in the _NT_SYMBOL_PATH environment variable, plus the Windows symbols directory

Alternatively, press [image] to delete selected items, and [image] + [image] to select all items in the list first.

Reset - Resets all global settings, not just those on the current page. This includes removing any symbol servers added.


Export as Text dialog

Navigation: »No topics above this level«

Export as Text dialog

 Return to chapter overview

The Export as Text dialog allows you to specify the criteria that will be used when exporting data from the minidump or kernel dump in text format.

Minidumps

·Export Exception instructionStep include exception information and the exception callstack in the exported data

·Export All Threads instructionStep include information about each thread and it's callstack in the exported data

·Export Modules instructionStep include information about loaded modules in the exported data

·Export Unloaded Modules instructionStep include information about unloaded modules in the exported data

·Export Registers instructionStep include the registers from the exception information in the exported data

·Browse... instructionStep display the file browser to choose the filename to export the text data to

Kernel Dumps

·Export BugCheck instructionStep include BugCheck information in the exported data

·Export Exception instructionStep include exception information and the exception callstack in the exported data

·Export Modules instructionStep include information about loaded modules in the exported data

·Export Unloaded Modules instructionStep include information about unloaded modules in the exported data

·Export Registers instructionStep include the registers from the exception information in the exported data

·Browse... instructionStep display the file browser to choose the filename to export the text data to


Export as HTML dialog

Navigation: »No topics above this level«

Export as HTML dialog

 Return to chapter overview

The Export as HTML dialog allows you to specify the criteria that will be used when exporting data from the minidump or kernel dump in html format.

Minidumps

·Export Exception instructionStep include exception information and the exception callstack in the exported data

·Export All Threads instructionStep include information about each thread and it's callstack in the exported data

·Export Modules instructionStep include information about loaded modules in the exported data

·Export Unloaded Modules instructionStep include information about unloaded modules in the exported data

·Export Registers instructionStep include the registers from the exception information in the exported data

·Browse... instructionStep display the file browser to choose the filename to export the text data to

Kernel Dumps

·Export BugCheck instructionStep include BugCheck information in the exported data

·Export Exception instructionStep include exception information and the exception callstack in the exported data

·Export Modules instructionStep include information about loaded modules in the exported data

·Export Unloaded Modules instructionStep include information about unloaded modules in the exported data

·Export Registers instructionStep include the registers from the exception information in the exported data

·Browse... instructionStep display the file browser to choose the filename to export the text data to


Command Line

Navigation: »No topics above this level«

Command Line

 Return to chapter overview

The command line support in Minidump Browser is very simple.

/minidump

The /minidump command specifies the minidump or kernel dump to load.

The /minidump command takes one argument, a filename.

/minidump c:\windows\minidumps\crash.dmp

/exportFormat

The /exportFormat command specifies the format of the exported document. Text or HTML.

The /exportFormat command takes one argument, txt or html.

/exportFormat html

/exportFileName

The /exportFileName command specifies the file to export data to.

The /exportFileName command takes on argument, the full path to file to export.

/exportFileName e:\exportedData\minidimp-video-server-0113A.html

/exportBugCheck

The /exportBugCheck command includes BugCheck information in the exported data. This only works for kernel dumps.

/exportExceptionCallstack

The /exportExceptionCallstack command includes Exception information in the exported data. This works for kernel dumps, and for minidumps that contain an exception.

/exportAllThreadsCallstack

The /exportAllThreadsCallstack command includes callstack information for all threads in the minidump in the exported data. This only works for minidumps.

/exportLoadedModules

The /exportLoadedModules command includes information about the loaded modules in the exported data.

/exportUnloadedModules

The /exportUnloadedModules command includes information about unloaded modules in the exported data.

/exportRegisters

The /exportRegisters command includes information from the exception context in the exported data. This works for kernel dumps, and for minidumps that contain an exception.

/verbose

The /verbose command prints addition information about DLL downloading and symbol resolving to the standard output. This only works when you are running from the command line performing an export.

Example command lines

Load a minidump

minidumpBrowser.exe /minidump c:\windows\minidumps\crash.dmp

minidumpBrowser_x64.exe /minidump c:\windows\minidumps\crash.dmp

This command line will load and display the file c:\windows\minidumps\crash.dmp in Minidump Browser.

Load a minidump and export data to html

minidumpBrowser_x64.exe /minidump E:\buggyApp.dmp /exportFormat html /exportFileName e\buggyApp.html /exportExceptionCallstack /exportAllThreadsCallstack /exportLoadedModules /exportUnloadedModules

This command line loads a minidump e:\buggyApp.dmp and exports it to a html file. The export contains the exception callstack, callstacks for all threads, the loaded modules list and the unloadedmodules list.

Load a kernel dump and export data to txt

minidumpBrowser_x64.exe /minidump E:\buggyDriver.dmp /exportFormat txt /exportFileName e\buggyDriver.txt /exportBugCheck /exportExceptionCallstack /exportLoadedModules /exportUnloadedModules

This command line loads a kernel dump e:\buggyDriver.dmp and exports it to a txt file. The export contains bugcheck information, the exception callstack, the loaded modules list and the unloadedmodules list.